X2Go Bug report logs - #32
x2gocleansessions not properly suspending disconnected sessions.

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Wed, 19 Sep 2012 11:18:01 UTC

Severity: normal

Tags: confirmed, pending

Fixed in version 4.0.0.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#32; Package x2goclient. (Wed, 19 Sep 2012 11:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 19 Sep 2012 11:18:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: x2gocleansessions not properly suspending disconnected sessions.
Date: Wed, 19 Sep 2012 13:08:36 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient

Severity: normal

Version 3.1.1.3

 
 
 
Sometimes a session is improperly terminated, but keeps the status 'R' this prevents the start of a new session. 

 
After investigating further I found x2goagent was running but could not be canceled normally. So I ran kill -9. After that the session disappeared and everything turned back to normal. So apparently there can be circumstances that x2goagent hangs.

 
In fact there are 2 issues here

 
1. x2goterminate-session should be able to handle a situation where x2goagent hangs and cannot be terminated normally

2. it is possible to get in a situation where x2goagent hangs. (I have no idea how that is done)



Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858

[Message part 2 (text/html, inline)]

Bug reassigned from package 'x2goclient' to 'x2goserver'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 19 Sep 2012 13:46:39 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 19 Sep 2012 13:48:33 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#32; Package x2goserver. (Wed, 05 Jun 2013 23:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 05 Jun 2013 23:48:02 GMT) Full text and rfc822 format available.

Message #14 received at 32@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 32-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 32@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 6 Jun 2013 01:44:20 +0200 (CEST)
tag #32 pending
fixed #32 4.0.0.3
thanks

Hello,

X2Go issue #32 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=afeeb58

The issue will most likely be fixed in src:x2goserver (4.0.0.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit afeeb580215270c4a1658b6773c8cb2ff6d4e2ed
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Jun 6 01:43:34 2013 +0200

    Send SIGKILL to blocked X-Server (x2goagent) processes, if they do not disappear within 20secs. (Fixes: #32).

diff --git a/debian/changelog b/debian/changelog
index cadd8be..64f8ff5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,8 @@ x2goserver (4.0.0.3-0~x2go1) UNRELEASED; urgency=low
       in the session DB.
     - Add support for terminating sessions via the session DB.
     - Raise the frequency of the x2gocleansessions loop to every two seconds.
+    - Send SIGKILL to blocked X-Server (x2goagent) processes, if they do not
+      disappear within 20secs. (Fixes: #32).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 19 May 2013 15:02:53 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Jun 2013 23:48:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.0.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Jun 2013 23:48:02 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#32. (Wed, 05 Jun 2013 23:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#32; Package x2goserver. (Fri, 07 Jun 2013 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 07 Jun 2013 21:18:03 GMT) Full text and rfc822 format available.

Message #26 received at 32@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 32-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 32@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 7 Jun 2013 23:08:43 +0200 (CEST)
close #32
thanks

Hello,

we are very hopeful that X2Go issue #32 reported by you
has been resolved in the new release (4.0.1.0) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=51551c467a7dca4be4fb890f3c6a29e7173d05cc;hp=498e2b7e5a8fa9216a57f2234f57f6a6fa7ed261

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.0
Status: RELEASE
Date: Fri, 07 Jun 2013 23:07:40 +0200
Fixes: 32
Changes: 
 x2goserver (4.0.1.0) RELEASED; urgency=low
 .
   * New upstream version (4.0.1.0):
     - Make x2gomountdirs / x2goumount-session UNC path aware.
     - Add support to x2gocleansessions to suspend session via state changes
       in the session DB.
     - Add support for terminating sessions via the session DB.
     - Raise the frequency of the x2gocleansessions loop to every two seconds.
     - Send SIGKILL to blocked X-Server (x2goagent) processes, if they do not
       disappear within 20secs. (Fixes: #32).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 07 Jun 2013 21:18:06 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Fri, 07 Jun 2013 21:18:06 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#32. (Fri, 07 Jun 2013 21:18:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 06 Jul 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:50:22 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.